
Foreman - Bug #22051

Audit when users role(s) is updated

12/21/2017 09:06 AM - Swapnil Abnave

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Audit Log   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As a user with view_audits permission I want to see user audit record creates when a role has been assigned to a user.

Which actually means create 'audit' entry for roles being added/removed for a user.

Related issues:

Related to Foreman - Tracker #21879: [TRACKER] Audit every possible resource New 12/06/2017

History

#1 - 12/21/2017 09:06 AM - Swapnil Abnave

- Related to Tracker #21879: [TRACKER] Audit every possible resource added

#2 - 01/09/2018 12:59 PM - Marek Hulán

This also means we need to create and audit when role permissions assignment through filters changes. So we need information like

Role "my viewer" has a new permission :view_hosts"

User "someone" roles changed, new roles are "my viewer", "manager"

#3 - 06/13/2018 12:57 PM - Marek Hulán

- Status changed from New to Resolved

I believe this has been added in 1.18, closing.
